---
features:
  secondary:
  - name: "Improved values support for Helm-based deployments"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/gitops/helm.html'
    reporter: nagyv-gitlab
    stage: deploy
    categories:
    - Kubernetes Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/372024'
    description: |
      We shipped [initial Helm-chart support for the agent for Kubernetes in GitLab 15.4](https://about.gitlab.com/releases/2022/09/22/gitlab-15-4-released/#deploy-helm-charts-with-the-agent-for-kubernetes). In that release, Helm values had to be included in the Helm charts, which caused large-scale code duplication for users. 
      
      This release allows you to specify the Helm values as part of the agent configuration by adding environment-specific values to the agent configuration file, and keeping generic values within the Helm chart.
